SNMPSET(1)

NAME
snmpset - communicates with a network entity using SNMP SET Requests.

SYNOPSIS
snmpset [COMMON OPTIONS] OID TYPE VALUE [OID TYPE VALUE]...

DESCRIPTION
snmpset is an SNMP application that uses the SNMP SET request to set information on a network entity. One or more object identifiers (OIDs) must be given as arguments on the command line. A type and a value to be set must accompany each object identifier. Each variable name is given in the format specified in variables(5).

The TYPE is a single character, one of:
    i   INTEGER
    u   UNSIGNED
    s   STRING
    x   HEX STRING
    d   DECIMAL STRING
    n   NULLOBJ
    o   OBJID
    t   TIMETICKS
    a   IPADDRESS
    b   BITS
If you have the proper MIB file loaded, you can, in most cases, replace the type with an '=' sign. For an object of type OCTET STRING this will assume a string like the 's' type notation. For other types it will do "The Right Thing".

For example:

snmpset -c private -v 1 test-hub system.sysContact.0 s dpz@noc.rutgers.edu ip.ipforwarding.0 = 2

will set the variables sysContact.0 and ipForwarding.0:

system.sysContact.0 = STRING: "dpz@noc.rutgers.edu"
ip.ipForwarding.0 = INTEGER: not-forwarding(2)

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint in what way the request was malformed.

OPTIONS
snmpset takes the common options described in the snmpcmd(1) manual page.

SEE ALSO
snmpcmd(1), variables(5).